## nala 0.11.1~bpo22.04.1

=== Makefile ===
PYTHON_VER="3.10.5"
LIB_DIR="/usr/lib/python3/dist-packages"

enter:
	echo "The Nala MakeFile"

install:
	sudo python3 -m pip install .
	make man
	make translations
	make completions
	make config

legacy:
	make python
	sudo python3.10 -m pip install .
	make link-libs
	make man
	make translations
	make completions
	make config

legacy-update:
	sudo python3.10 -m pip install .
	make link-libs
	make man
	make translations
	make completions
	make config

python:
	# Download Python
	wget https://www.python.org/ftp/python/${PYTHON_VER}/Python-${PYTHON_VER}.tar.xz

	# Extract Python
	tar -xvf Python-${PYTHON_VER}.tar.xz

	# Change into the python directory
	# Configure Python
	# Build Python with the max threads of the host
	# Alt Install won't replace the default python3
	cd ./Python-${PYTHON_VER}/ && \
		./configure --enable-optimizations && \
		make -j $(nproc) && \
		sudo make altinstall

link-libs:
	# Link python3-apt libraries
	sudo ln -sf $(shell find ${LIB_DIR}/ -name apt_pkg.cpython*.so) ${LIB_DIR}/apt_pkg.so
	sudo ln -sf $(shell find ${LIB_DIR}/ -name apt_inst.cpython*.so) ${LIB_DIR}/apt_inst.so

man:
	# Install man pages
	sudo python3.10 nala_build.py man --install

translations:
	# Install translations
	sudo python3.10 -m pip install babel
	sudo python3.10 ./nala_build.py babel --compile --install

completions:
	# Install shell completions
	sudo cp debian/nala.fish /usr/share/fish/vendor_completions.d/
	sudo cp debian/bash-completion /usr/share/bash-completion/completions/nala
	sudo cp debian/_nala /usr/share/zsh/vendor-completions/

config:
	# Install the Nala Configuration file.
	sudo mkdir -p /etc/nala
	sudo cp debian/nala.conf /etc/nala/nala.conf

clean:
	rm -f docs/nala*.8

uninstall:
	sudo rm -f /usr/share/man/man8/nala*8.gz
	sudo rm -f ${LIB_DIR}/apt_pkg.so
	sudo rm -f ${LIB_DIR}/apt_inst.so
	sudo python3.10 -m pip uninstall nala

## nala 0.4.0

=== debian/changelog ===
nala (0.4.0-0.1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 09 Feb 2022 12:29:27 -0800

nala (0.4.0) unstable; urgency=medium

  [ Changes ]
  * Replace threaded downloader with an async one
  * Add estimated time to download and dpkg progress bars
  * On dpkg completion change spinner to green check mark
  * Add `-a` `--all-versions` switch for `show` command
  * Add `--remove-essential` switch to allow breaking your system
  * Add initial support for installing local debs

  [ Bug Fixes ]
  * Nala not showing `pacstall` `-deb` packages properly
  * Filler sometimes inserted wrong during list update
  * History not logging files that were auto-removed
  * `dpkg` panel title saying updating during a history operation
  * Progress bar showing `100%` when all operations haven't completed
  * Scroll bar title `Updating Packages` when it is fetching archives
  * Nala throwing exception on broken packages
  * Several bugs related to operations on packages with no candidate
  * Fetch not working on Pop!_OS
  * History file corrupting if Nala is interrupted at just the right moment

 -- Blake Lee <blake@volian.org>  Mon, 07 Feb 2022 15:39:23 -0500

nala (0.3.0) unstable; urgency=medium

  * Replaced aria2 with internal downloader
  * Improved the show command's output
  * Improved `--raw-dpkg` by forking normally instead of pty
  * Distinguish Remove and Auto-Remove packages
  * Add `--no-autoremove` switch
  * Add dpkg progress bar
  * Add support for readline environment variable
  * Apt no longer redownloads packages with an epoch.

 -- Blake Lee <blake@volian.org>  Sat, 22 Jan 2022 15:56:25 -0500

nala (0.2.1) unstable; urgency=medium

  * Critical bug fix. `nala clean` attempts to remove files
    in the root directory due to the apt_pkg config not being
    initialized.

 -- Blake Lee <blake@volian.org>  Tue, 11 Jan 2022 16:10:41 -0500

nala (0.2.0) unstable; urgency=medium

  * Nala is now distributed with a nuitka binary
  * Nala now uses rich for the update progress
  * Improved `nala fetch` reliability and performance
  * History file format is now pure json and more readable
  * Nala's clean command no longer subprocesses `apt clean`
  * Nala transactions with `--download-only` no longer make it
    into the history file.

 -- Blake Lee <blake@volian.org>  Mon, 10 Jan 2022 17:57:24 -0500

nala (0.1.4) unstable; urgency=medium

  * Fixed a bug where nothing can download
  * Added error handling for url requests

 -- Blake Lee <blake@volian.org>  Tue, 28 Dec 2021 08:32:25 -0500

nala (0.1.3) unstable; urgency=medium

  * Security fixes
  * Fixed a bug where `nala --update` would throw an exception
  * Fixed a bug where using Ubuntu mirrors.txt in sources.list
  * A lot of code refactoring and optimizations
  * `fetch` distro detection should be more reliable, but only
    compatible with Debian and Ubuntu

 -- Blake Lee <blake@volian.org>  Mon, 27 Dec 2021 17:39:44 -0500

nala (0.1.2) unstable; urgency=medium

  * Big holiday update
  * debconf is now fully supported, along with apt-listchanges
  * Added purge command
  * Added --update to update the cache,
    install no longer automatically updates the cache for you.
  * Added a bunch of --conf options.
  * Added --raw-dpkg in case you want regular ugly output
  * Added wildcard* for install and remove commands
  * Some History updates, you will likely need to remove your
    old history file at /var/lib/nala/history
  * While we're still in early development mandatory dpkg-debug
    will be added to /var/log/nala
  * Made general formatting changes

 -- Blake Lee <blake@volian.org>  Sun, 19 Dec 2021 12:26:54 -0500

nala (0.1.1) unstable; urgency=medium

  * Big changes to output formatting
  * Added --verbose global switch
  * Added clean command
  * Nala now uses a debug log file for --debug mode
  * A few bug fixes.

 -- Blake Lee <blake@volian.org>  Mon, 06 Dec 2021 09:29:38 -0500

nala (0.1.0) unstable; urgency=medium

  * nala experimental release

 -- Blake Lee <blake@volian.org>  Mon, 29 Nov 2021 15:12:55 -0500

=== debian/control ===
Source: nala
VCS-Git: https://gitlab.com/volian/nala.git
VCS-Browser: https://gitlab.com/volian/nala
Priority: important
Section: admin
Homepage: https://gitlab.com/volian/nala
Maintainer: Volian Developers <volian-devel@volian.org>
Uploaders: Blake Lee <blake@volian.org>
Standards-Version: 4.6.0
Build-Depends: bash-completion,
               chrpath,
               debhelper-compat (= 13),
               dh-sequence-bash-completion,
               nuitka,
               pandoc,
               python3-apt,
               python3-idna,
               python3-jsbeautifier,
               python3-pexpect,
               python3-pip,
               python3-rfc3986,
               python3-sniffio,
               python3-yaml,
               python3.9-dev

Package: nala
Architecture: any
Depends: libpython3.9,
         python3-apt,
         python3-certifi,
         python3-idna,
         python3-jsbeautifier,
         python3-pexpect,
         python3-rfc3986,
         python3-sniffio,
         ${misc:Depends},
         ${shlibs:Depends}
Description: commandline frontend for the apt package manager
 nala is a frontend for the apt package manager. It has a lot
 of the same functionality, but formats the output to be more
 human readable. Also implements a history function to see past
 transactions and undo/redo them. Much like Fedora's dnf history.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	set -x
	dh $@ --buildsystem=none

execute_before_dh_installman:
	pandoc docs/nala.8.md \
	--standalone \
	--from markdown \
	--to man | gzip -c > docs/nala.8.gz

execute_before_dh_install:
	mkdir -p debian/nala/usr/bin
	mv nala-cli.build/nala debian/nala/usr/bin/nala
	chrpath -d debian/nala/usr/bin/nala

override_dh_clean:
	rm -f nala.egg-info
	rm -f docs/nala.8.gz
	rm -rf nala-cli.build
	rm -rf nala/__pycache__
	dh_clean

execute_before_dh_auto_build:
	pip install --no-warn-script-location \
	anyio==3.5.0 \
	rich==11.1.0 \
	pythonping==1.1.1 \
	httpx==0.22.0 \

override_dh_auto_build:
	nuitka3 --assume-yes-for-downloads \
	--follow-import-to=nala \
	--follow-import-to=pythonping \
	--follow-import-to=rich \
	--follow-import-to=httpx \
	--follow-import-to=httpcore \
	--follow-import-to=charset_normalizer \
	--follow-import-to=h11 \
	--include-module=anyio \
	--nofollow-import-to=rfc3986 \
	--nofollow-import-to=certifi \
	--nofollow-import-to=sniffio \
	--nofollow-import-to=idna \
	--nofollow-import-to=jsbeautifier \
	--nofollow-import-to=apt \
	--nofollow-import-to=pygments \
	--nofollow-import-to=pexpect \
	--nofollow-import-to=aptsources \
	--nofollow-import-to=colorama \
	--nofollow-import-to=commonmark \
	--plugin-enable=pylint-warnings \
	nala-cli.py -o nala-cli.build/nala

## nala 0.8.2~mx21+1

=== debian/changelog ===
nala (0.8.2~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Bump minimum version for python3-rich to 12 and python3-httpx to 0.22 to get
    Nala to stop barfing out errors.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 21 May 2022 15:54:07 -0700

nala (0.8.2) unstable; urgency=medium

  [ Changes ]
  * Add helper for common incorrect commands
  * Correctly attribute original author of `apt-metalink` in
    the Debian copyright file

  [ Bug Fixes ]
  * Exception when filtering user installed package list
  * Unable to continue upgrade if packages have been kept back
  * Not handling broken install during upgrade

 -- Blake Lee <blake@volian.org>  Fri, 06 May 2022 12:43:00 -0400

nala (0.8.1) unstable; urgency=medium

  [ Bug Fixes ]
  * KeyError exception when installing local `.deb` files
  * Packages that can be autoremoved not showing in the transaction
    summary when they won't be removed.

 -- Blake Lee <blake@volian.org>  Sun, 24 Apr 2022 20:44:14 -0400

nala (0.8.0) unstable; urgency=medium

  [ Changes ]
  * Add `-n --names`, `-i --installed`, `-u --upgradable`, `-v --virtual`
    to the `search` command
  * Add `list` command which shares all switches with the `search` command
    except for `-n, \--names` and `-A, --all-arches`
  * Perf: Replace `fetch` ping subprocesses with httpx to grab Release file
    this is a more meaningful metric than just pure latency
  * Add default interactive menu for `fetch`. The old style can be accessed
    by using `--auto`
  * Add `--purge` switch to purge any package that would be removed
  * Add `--lists` and `--fetch` to `clean` command. This will remove the
    package lists from `update` and the sources from `fetch` respectively
  * Replace `argparser` with `typer`
  * Remove a lot of bloated `dpkg` switches and add `-o --option`
  * Perf: Optimize the `search` command so it's a little faster. In my tests
    search times took half as long
  * Remove options to update the cache from `show`, `list` and `search`
  * Raise max connections per mirror to 3. This helps when downloading
    a lot of small files.
  * Add lock file so you can't run two instances of `nala` where packages
    will be manipulated
  * Add `purged` section to the history file to keep track of when
    a transaction is a purge vs remove
  * Add `User-Installed` section to the history file to keep track of
    packages explicitly installed with `nala`. This will not add their
    dependencies into the list, only what was specified to be installed.
    Packages installed with `apt` will not make it into this list, but
    packages removed with `apt` will be removed the next time `nala` writes
    the history file
  * Add `history --installed` to view these packages. And `--nala-installed`
    for the `list` and `search` commands
  * Add `--assume-no` switch to complement `--assume-yes`
  * Improve the column formatting during the install summary
  * Use `typer` dynamic completion files. For `zsh` and `fish` users
    this will greatly improve your experience
  * Perf: remove `jsbeautifier` and use no whitespace `json` for history.
    The performance improvements from this are rather large.
  * Add `--config` switch to `autoremove` and `autopurge` which will
    additionally `purge` any packages in the rc state. `autoremove` requires
    the `--purge` switch for this to work
  * Add initial translations for Bengali, Portuguese Brazil, Spanish,
    Polish, Russian and Swedish. These are beta and could contain bugs
    or are not yet complete

  [ Bug Fixes ]
  * Exception due to compatibility with older versions of `history.json`
  * The number of connections to mirrors not actually being limited
  * Sometimes not downloading a package properly. This was a rare bug
  * Not being able to use SOCKS proxy with `nala`. This requires the
    `python3-socksio` package, which is now a Recommends
  * Not being able to `purge` packages that have been removed but have
    config files that remain on the system. AKA rc state
  * `dpkg` progress bar not always hitting 100% on completion
  * Exception when piping input into `nala`

 -- Blake Lee <blake@volian.org>  Fri, 22 Apr 2022 12:29:32 -0400

nala (0.7.3) unstable; urgency=medium

  [ Bug Fixes ]
  * Fix Debian files with the help of <stephanlachnit@debian.org>

 -- Blake Lee <blake@volian.org>  Mon, 04 Apr 2022 12:40:02 -0400

nala (0.7.2) unstable; urgency=medium

  [ Bug Fixes ]
  * CRITICAL: Nala not erroring when downloading unauthenticated packages
  * Exception when reading older history files

 -- Blake Lee <blake@volian.org>  Sun, 03 Apr 2022 14:37:03 -0400

nala (0.7.1) unstable; urgency=medium

  [ Bug Fixes ]
  * No error when a package can't be found during install
  * Not following redirects when downloading
  * Handle connection errors when updating package list similar to apt
  * `Nala Update` not showing packages that are upgradable

 -- Blake Lee <blake@volian.org>  Sun, 27 Mar 2022 16:23:21 -0400

nala (0.7.0) unstable; urgency=medium

  [ Changes ]
  * Add `--sources` switch to `fetch` and don't enable them by default
  * Improve local deb install messages
  * Add `autoremove`/`autopurge` commands
  * Add config file in `/etc/nala/nala.conf`. The current two configs
    1. A toggle to disable the scrolling text
    2. A toggle to disable Nala auto-removing by default
  * Add `upgrade --exclude` to allow a package not to be upgraded
  * Tweak colors to better support light terminals
  * `update` is no longer an alias for `upgrade`. It will now function
    the same way that `apt` does. `upgrade` will continue to update
    the package list by default.
  * Make spinners smoother during dpkg progress

  [ Bug Fixes ]
  * Update progress bar sometimes shows a garbage msg
  * `dpkg` not respecting window resize signals
  * Downloader not raising status to catch 404 errors
  * `fetch` adding amd64 mirrors for arm users
  * `fetch` adding mirrors without the proper release


=== debian/control ===
Source: nala
Priority: optional
Section: admin
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Volian Developers <volian-devel@volian.org>
Uploaders: Blake Lee <blake@volian.org>
Build-Depends: bash-completion,
               debhelper-compat (= 13),
               dh-sequence-bash-completion,
               dh-sequence-python3,
               pandoc,
               pybuild-plugin-pyproject,
               python3-all,
               python3-apt,
               python3-babel,
               python3-httpx (>= 0.22),
               python3-pexpect,
               python3-poetry,
               python3-rich (>= 12),
               python3-socksio,
               python3-typer
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://gitlab.com/volian/nala
Vcs-Git: https://gitlab.com/volian/nala.git
Vcs-Browser: https://gitlab.com/volian/nala

Package: nala
Architecture: all
Depends: apt, python3-apt, ${misc:Depends}, ${python3:Depends},
         python3-socksio
Description: Commandline frontend for the APT package manager
 Nala is a frontend for the APT package manager. It has a lot
 of the same functionality, but formats the output to be more
 human readable. Also implements a history function to see past
 transactions and undo/redo them. Much like Fedora's dnf history.

## nala 0.9.1~mx21+1

=== debian/changelog ===
nala (0.9.1~mx21+1) mx; urgency=medium

  * Rebuild for MX 21.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 13 Jun 2022 15:20:30 -0700

nala (0.9.1) unstable; urgency=medium

  [ Bug Fixes ]
  * `upgrade` fails sometimes when using install hooks
  * `autoremove` and `autopurge` commands not working
  * Unable to `upgrade` if there is an issue with any repository

 -- Blake Lee <blake@volian.org>  Thu, 09 Jun 2022 10:47:49 -0400

nala (0.9.0) unstable; urgency=medium

  [ Changes ]
  * Add a version `diff` in the new version column to increase readability
  * Change config file to `toml`. This is a breaking change, the older config
    file will not work
  * Add configuration option to disable auto updating the package cache when
    running the `upgrade` command (Closes: #1010913)
  * Add configuration option for pre and post install hooks

  [ Bug Fixes ]
  * Nala stating that it was unable to determine why packages were
    held even if it was able too
  * `fetch` ask prompt not defaulting to yes
  * Exception when using tab completion if the `pkgcache.bin` file
    has not been generated.

 -- Blake Lee <blake@volian.org>  Mon, 23 May 2022 15:53:49 -0400

=== debian/control ===
Source: nala
Priority: optional
Section: admin
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Volian Developers <volian-devel@volian.org>
Uploaders: Blake Lee <blake@volian.org>
Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
  python3-all,
  pybuild-plugin-pyproject,
  python3-babel,
  python3-poetry,
  python3-apt,
  python3-pexpect,
  python3-httpx (>= 0.22),
  python3-rich (>= 12),
  python3-socksio,
  python3-typer,
  python3-tomli,
  pandoc,
  bash-completion,
  dh-sequence-bash-completion,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://gitlab.com/volian/nala
Vcs-Git: https://gitlab.com/volian/nala.git
Vcs-Browser: https://gitlab.com/volian/nala

Package: nala
Architecture: all
Depends:
  ${python3:Depends},
  ${misc:Depends},
  apt,
  python3-apt,
Recommends: python3-socksio
Description: Commandline frontend for the APT package manager
 Nala is a frontend for the APT package manager. It has a lot
 of the same functionality, but formats the output to be more
 human readable. Also implements a history function to see past
 transactions and undo/redo them. Much like Fedora's dnf history.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_NAME = nala
export DH_VERBOSE = 1
%:
	dh $@ --buildsystem=pybuild

execute_before_dh_installman:
	pandoc docs/nala.8.md \
	--standalone \
	--from markdown \
	--to man > docs/nala.8

execute_before_dh_auto_install:
	python3 nala_build.py babel --compile

## nala 0.10.0~mx21+1

=== debian/changelog ===
nala (0.10.0~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Add minimum versions of BDs: python3-httpx (>= 0.22), python3-rich (>= 12)
  * Make python3-socksio an explicit dependency, not a Recommends.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 20 Jul 2022 15:45:54 -0700

nala (0.10.0) unstable; urgency=medium

  [ Changes ]
  * Add config option to pass arguments to install hooks
  * Use man pages for `--help` menu
  * Add `assume_yes` configuration option

  [ Bug Fixes ]
  * `upgrade` fails sometimes when using install hooks
  * Local .debs cannot be installed
  * `fetch` sometimes crashing on a bad mirror
  * Lowered refresh rate to minimize flicker
  * .debs without a reported size are uninstallable
  * `history` sometimes overwritting entries
  * `upgrade --exclude` not working at all
  * Local .debs not installing recommended pkgs

 -- Blake Lee <blake@volian.org>  Tue, 19 Jul 2022 00:03:28 -0400

## nala 0.10.0~mx21+2

=== debian/changelog ===
nala (0.10.0~mx21+2) mx; urgency=medium

  * debian/nala.conf: change to "auto_remove = false".

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 22 Jul 2022 12:11:36 -0700

=== debian/control ===
Source: nala
Priority: optional
Section: admin
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Volian Developers <volian-devel@volian.org>
Uploaders: Blake Lee <blake@volian.org>
Build-Depends: bash-completion,
               debhelper-compat (= 13),
               dh-sequence-bash-completion,
               dh-sequence-python3,
               pandoc,
               pybuild-plugin-pyproject,
               python3-all,
               python3-apt,
               python3-babel,
               python3-httpx (>= 0.22),
               python3-pexpect,
               python3-poetry,
               python3-rich (>= 12),
               python3-socksio,
               python3-tomli,
               python3-typer
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://gitlab.com/volian/nala
Vcs-Git: https://gitlab.com/volian/nala.git
Vcs-Browser: https://gitlab.com/volian/nala

Package: nala
Architecture: all
Depends: apt, python3-apt, python3-socksio, ${misc:Depends}, ${python3:Depends}
Description: Commandline frontend for the APT package manager
 Nala is a frontend for the APT package manager. It has a lot
 of the same functionality, but formats the output to be more
 human readable. Also implements a history function to see past
 transactions and undo/redo them. Much like Fedora's dnf history.

## nala 0.11.1~bpo22.04.1

=== debian/changelog ===
nala (0.11.1~bpo22.04.1) jammy-backports; urgency=medium

  [ Joakim Malmquist ]
  * No-change backport from kinetic (LP: #1984053)

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Thu, 18 Aug 2022 23:01:55 +0200

nala (0.11.1) unstable; urgency=medium

  [ Changes ]
  * Use source epoch for man page date

 -- Blake Lee <blake@volian.org>  Tue, 02 Aug 2022 22:37:07 -0400

nala (0.11.0) unstable; urgency=medium

  [ Changes ]
  * Lower `fetch` concurrent tests from 50 to 25 improving consistency
  * Config option to list upgradable packages after `update`
  * Support for Devuan mirrors into `fetch`
  * Default to foss repos instead of non-free for Debian
  * Support Termux environment
  * Add glob and regex support to `list`/`search`
  * Config option to change between decimal and binary for downloads
  * Config option to change download speed from bytes to bits
  * Add `g/` and `r/` prefixes to specify glob and regex
    respectively with `list` and `search`
  * Default to HTTPS mirrors for `fetch`
  * Add `--https-only` switch to `fetch` to only get HTTPS mirrors
  * Determine distro and release by using the Debian/Ubuntu keyring package.
    This change should allow all children distros to be supported so long as
    they remain tied to their parent repositories

  [ Bug Fixes ]
  * Not able to pass options containing `=` to `apt` with `--option`
  * Exception with `typer` on commands that use `--option`
  * `--country` switch for `fetch` is case sensitive
  * No error when unable to find suitable mirrors
  * `debconf` prompts not showing and hanging on some systems
  * `fetch` crashing if there is a directory in `sources.list.d/`
  * New line not printing at the end of a transaction on some terminals

 -- Blake Lee <blake@volian.org>  Mon, 01 Aug 2022 19:17:19 -0400

=== debian/control ===
Source: nala
Priority: optional
Section: admin
Maintainer: Volian Developers <volian-devel@volian.org>
Uploaders: Blake Lee <blake@volian.org>
Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
  python3-all,
  pybuild-plugin-pyproject,
  python3-babel,
  python3-poetry,
  python3-apt,
  python3-pexpect,
  python3-httpx,
  python3-rich,
  python3-socksio,
  python3-typer,
  python3-tomli,
  pandoc,
  bash-completion,
  dh-sequence-bash-completion,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://gitlab.com/volian/nala
Vcs-Git: https://gitlab.com/volian/nala.git
Vcs-Browser: https://gitlab.com/volian/nala

Package: nala
Architecture: all
Depends:
  ${python3:Depends},
  ${misc:Depends},
  apt,
  python3-apt,
Recommends: python3-socksio
Description: Commandline frontend for the APT package manager
 Nala is a frontend for the APT package manager. It has a lot
 of the same functionality, but formats the output to be more
 human readable. Also implements a history function to see past
 transactions and undo/redo them. Much like Fedora's dnf history.

## nala 0.11.1~mx21

=== debian/changelog ===
nala (0.11.1~mx21) mx; urgency=medium

  * New upstream release.
  * Non-maintainer upload.

 -- Timothy E. Harris <maintainer@mxrepo.com>  Wed, 17 Aug 2022 19:30:30 -0400

## nala 0.11.1~mx21+1

=== debian/changelog ===
nala (0.11.1~mx21+1) mx; urgency=medium

  * Patched nala.conf to set autoremove to false.

 -- Timothy E. Harris <maintainer@mxrepo.com>  Thu, 18 Aug 2022 10:55:52 -0400

## nala 0.12.0

=== Makefile ===
--- 
+++ 
@@ -71,9 +71,13 @@
 
 clean:
 	rm -f docs/nala*.8
+	rm -rf ./.venv
 
 uninstall:
 	sudo rm -f /usr/share/man/man8/nala*8.gz
 	sudo rm -f ${LIB_DIR}/apt_pkg.so
 	sudo rm -f ${LIB_DIR}/apt_inst.so
 	sudo python3.10 -m pip uninstall nala
+
+binary:
+	./nala-pyinstall.sh

=== debian/changelog ===
nala (0.12.0) unstable; urgency=medium

  [ Changes ]
  * Add Turkish translation
  * Allow fetch to accept ranges and comma separation
  * List and Search work slightly differently. See man page
  * Remove prompt for kept back pkgs during an upgrade
  * Show Remove and Auto-Remove packages last during the summary
  * Add a more condensed summary accessed by config option or `--simple`
  * Allow installing .deb by passing a URL.
  * Add prompt for unauthenticated local debs.

  [ Bug Fixes ]
  * Fetch sometimes adding duplicate entries
  * Update summary showing `0 Bytes/s`
  * Ask prompt not accepting `yes` or English when in different locals
  * Informing a reboot is needed when it is not
  * Fix transfer_speed_bits type in config
  * Update summary not showing bits when enabled in config
  * Unable to select version if available in multiple repos
  * Search end-of-text regexp not finding matches
  * Search printing duplicate results
  * Python site packages causing Nala to crash
  * Crash if local .deb is missing installed size
  * Claiming all pkgs are up to date when lock fails
  * Unable to install packages from a local repository
  * `--install-suggests` missing from man pages
  * Search not respecting `--all-arches` switch
  * Search displaying wrong origin occasionally
  * Fix exception when shell completion fails

 -- Blake Lee <blake@volian.org>  Tue, 20 Dec 2022 19:56:01 -0600

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
   debhelper-compat (= 13),
   dh-sequence-python3,
   python3-all,
+  python3-venv,
   pybuild-plugin-pyproject,
   python3-babel,
   python3-poetry,

## nala 0.12.1~mx21

=== debian/changelog ===
nala (0.12.1~mx21) mx; urgency=medium

  * Rebuild for MX 21.
  * nala.conf: set autoremove to false.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 14 Jan 2023 12:34:30 -0800

nala (0.12.1) unstable; urgency=medium

  [ Bug Fixes ]
  * Add python3-debian as a dependency (closes: #1028245)
  * Missing `-d` switch (closes: #1022274, #1022275)

 -- Blake Lee <blake@volian.org>  Wed, 11 Jan 2023 21:45:57 -0600

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: nala
 Priority: optional
 Section: admin
-Maintainer: Volian Developers <volian-devel@volian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Volian Developers <volian-devel@volian.org>
 Uploaders: Blake Lee <blake@volian.org>
 Build-Depends:
   debhelper-compat (= 13),
@@ -13,8 +14,8 @@
   python3-poetry,
   python3-apt,
   python3-pexpect,
-  python3-httpx,
-  python3-rich,
+  python3-httpx (>= 0.22),
+  python3-rich (>= 12),
   python3-socksio,
   python3-typer,
   python3-tomli,
@@ -22,7 +23,7 @@
   bash-completion,
   dh-sequence-bash-completion,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://gitlab.com/volian/nala
 Vcs-Git: https://gitlab.com/volian/nala.git
 Vcs-Browser: https://gitlab.com/volian/nala
@@ -34,6 +35,7 @@
   ${misc:Depends},
   apt,
   python3-apt,
+  python3-debian,
 Recommends: python3-socksio
 Description: Commandline frontend for the APT package manager
  Nala is a frontend for the APT package manager. It has a lot

## nala 0.12.1

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: nala
 Priority: optional
 Section: admin
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Volian Developers <volian-devel@volian.org>
+Maintainer: Volian Developers <volian-devel@volian.org>
 Uploaders: Blake Lee <blake@volian.org>
 Build-Depends:
   debhelper-compat (= 13),
@@ -14,8 +13,8 @@
   python3-poetry,
   python3-apt,
   python3-pexpect,
-  python3-httpx (>= 0.22),
-  python3-rich (>= 12),
+  python3-httpx,
+  python3-rich,
   python3-socksio,
   python3-typer,
   python3-tomli,

## nala 0.12.2~mx21

=== debian/changelog ===
nala (0.12.2~mx21) mx; urgency=medium

  * Rebuild for MX 21.
  * nala.conf: set autoremove to false.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 21 Feb 2023 15:02:23 -0800

nala (0.12.2) unstable; urgency=medium

  [ Bug Fixes ]
  * Deadlock when using dialog as the debconf frontend
  * `--option` reverting `--update` to config value

 -- Blake Lee <blake@volian.org>  Wed, 08 Feb 2023 20:37:24 -0600

## nala 0.12.2

=== Makefile ===
--- 
+++ 
@@ -6,25 +6,48 @@
 
 install:
 	sudo python3 -m pip install .
-	make man
-	make translations
+	sudo apt install python3-debian
+
+	# Install man pages
+	sudo ./nala_build.py man --install
+
+	# Install translations
+	sudo python3 -m pip install babel
+	sudo ./nala_build.py babel --compile --install
+
 	make completions
 	make config
 
 legacy:
 	make python
 	sudo python3.10 -m pip install .
+	sudo apt install python3-debian
 	make link-libs
-	make man
-	make translations
+
+	# Install man pages
+	sudo python3.10 nala_build.py man --install
+
+	# Install translations
+	sudo python3.10 -m pip install babel
+	sudo python3.10 ./nala_build.py babel --compile --install
+
 	make completions
 	make config
 
 legacy-update:
 	sudo python3.10 -m pip install .
+	sudo apt install python3-debian
 	make link-libs
-	make man
-	make translations
+
+	# Install man pages
+	sudo python3.10 nala_build.py man --install
+
+	# Install translations
+	sudo python3.10 -m pip install babel
+	sudo python3.10 ./nala_build.py babel --compile --install
+
+	sudo python3.10 -m pip install babel
+
 	make completions
 	make config
 
@@ -49,17 +72,15 @@
 	sudo ln -sf $(shell find ${LIB_DIR}/ -name apt_pkg.cpython*.so) ${LIB_DIR}/apt_pkg.so
 	sudo ln -sf $(shell find ${LIB_DIR}/ -name apt_inst.cpython*.so) ${LIB_DIR}/apt_inst.so
 
-man:
-	# Install man pages
-	sudo python3.10 nala_build.py man --install
+completions:
+	# Create Shell Completion Directories
 
-translations:
-	# Install translations
-	sudo python3.10 -m pip install babel
-	sudo python3.10 ./nala_build.py babel --compile --install
+	mkdir -p /usr/share/fish/vendor_completions.d/
+	mkdir -p /usr/share/bash-completion/completions/
+	mkdir -p /usr/share/zsh/vendor-completions/
 
-completions:
 	# Install shell completions
+
 	sudo cp debian/nala.fish /usr/share/fish/vendor_completions.d/
 	sudo cp debian/bash-completion /usr/share/bash-completion/completions/nala
 	sudo cp debian/_nala /usr/share/zsh/vendor-completions/
@@ -75,6 +96,12 @@
 
 uninstall:
 	sudo rm -f /usr/share/man/man8/nala*8.gz
+	sudo rm -rf /etc/nala
+	sudo python3 -m pip uninstall nala
+
+uninstall-legacy:
+	sudo rm -f /usr/share/man/man8/nala*8.gz
+	sudo rm -rf /etc/nala
 	sudo rm -f ${LIB_DIR}/apt_pkg.so
 	sudo rm -f ${LIB_DIR}/apt_inst.so
 	sudo python3.10 -m pip uninstall nala

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
   python3-venv,
   pybuild-plugin-pyproject,
   python3-babel,
-  python3-poetry,
+  python3-poetry-core,
   python3-apt,
   python3-pexpect,
   python3-httpx,

## nala 0.12.2+mx23

=== debian/changelog ===
nala (0.12.2+mx23) mx; urgency=medium

  * Rebuild for MX 23.
  * nala.conf: set autoremove to false.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 21 Feb 2023 15:02:23 -0800

## nala 0.14.0

=== debian/changelog ===
nala (0.14.0) unstable; urgency=medium

  [ Changes ]
  * Add `dist-upgrade` and `full-upgrade` alias
  * Add config option to change default mode

  [ Bug Fixes ]
  * Fix crash when listchanges frontend is set to text
  * Fix fetch not adding non-free-firmware
  * Fix hang during download when using mirror+file URI

 -- Blake Lee <blake@volian.org>  Mon, 09 Oct 2023 21:05:26 -0500

nala (0.13.0) unstable; urgency=medium

  [ Changes ]
  * Add Chinese translations
  * Update German and Portuguese translations
  * Add `--target-release`/`-t` switch

  [ Bug Fixes ]
  * Fix unable to download packages from authenticated repos
  * Fix error when proxy is set to "false"

 -- Blake Lee <blake@volian.org>  Sat, 27 May 2023 19:50:09 -0500

nala (0.12.3) unstable; urgency=medium

  [ Bug Fixes ]
  * Fix show listing each version as installed
  * Fix default httpx agent failing some downloads

 -- Blake Lee <blake@volian.org>  Sat, 25 Feb 2023 15:26:46 -0600

## nala 0.14.0mx21

=== debian/changelog ===
nala (0.14.0mx21) mx; urgency=medium

  * Rebuild for MX Linux.
  * d/nala.conf: auto-remove changed to non-default, dist-upgrade made default.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 18 Nov 2023 10:35:30 -0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: nala
 Priority: optional
 Section: admin
-Maintainer: Volian Developers <volian-devel@volian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Volian Developers <volian-devel@volian.org>
 Uploaders: Blake Lee <blake@volian.org>
 Build-Depends:
   debhelper-compat (= 13),
@@ -13,8 +14,8 @@
   python3-poetry-core,
   python3-apt,
   python3-pexpect,
-  python3-httpx,
-  python3-rich,
+  python3-httpx (>= 0.22),
+  python3-rich (>= 12),
   python3-socksio,
   python3-typer,
   python3-tomli,
@@ -35,9 +36,9 @@
   apt,
   python3-apt,
   python3-debian,
-Recommends: python3-socksio
-Description: Commandline frontend for the APT package manager
+  python3-socksio
+Description: command line frontend for the APT package manager
  Nala is a frontend for the APT package manager. It has a lot
  of the same functionality, but formats the output to be more
  human readable. Also implements a history function to see past
- transactions and undo/redo them. Much like Fedora's dnf history.
+ transactions and undo/redo them, much like Fedora's dnf history.

## nala 0.14.0mx23

=== debian/changelog ===
nala (0.14.0mx23) mx; urgency=medium

  * Rebuild for MX Linux.
  * d/nala.conf: auto-remove changed to non-default, dist-upgrade made default.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 18 Nov 2023 10:35:30 -0800

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
   python3-poetry-core,
   python3-apt,
   python3-pexpect,
-  python3-httpx (>= 0.22),
-  python3-rich (>= 12),
+  python3-httpx,
+  python3-rich,
   python3-socksio,
   python3-typer,
   python3-tomli,

## nala 0.15.1

=== Makefile ===
enter:
	echo "The Nala MakeFile"

install:
	sudo apt install python3-debian
	sudo python3 -m pip install .

	# Install man pages
	sudo ./nala_build.py man --install

	# Install translations
	sudo python3 -m pip install babel
	sudo ./nala_build.py babel --compile --install

	make completions
	make config

completions:
	# Create Shell Completion Directories

	mkdir -p /usr/share/fish/vendor_completions.d/
	mkdir -p /usr/share/bash-completion/completions/
	mkdir -p /usr/share/zsh/vendor-completions/

	# Install shell completions

	sudo cp debian/nala.fish /usr/share/fish/vendor_completions.d/
	sudo cp debian/bash-completion /usr/share/bash-completion/completions/nala
	sudo cp debian/_nala /usr/share/zsh/vendor-completions/

config:
	# Install the Nala Configuration file.
	sudo mkdir -p /etc/nala
	sudo cp debian/nala.conf /etc/nala/nala.conf

clean:
	rm -f docs/nala*.8
	rm -rf ./.venv

uninstall:
	sudo rm -f /usr/share/man/man8/nala*8.gz
	sudo rm -rf /etc/nala
	sudo python3 -m pip uninstall nala

binary:
	./nala-pyinstall.sh

=== debian/changelog ===
nala (0.15.1) unstable; urgency=medium

  [ Changes ]
  * Update Swedish translations

  [ Bug Fixes ]
  * Fix shell completion failing due to help pages

 -- Blake Lee <blake@volian.org>  Mon, 29 Jan 2024 10:13:54 -0600

nala (0.15.0) unstable; urgency=medium

  [ Changes ]
  * Update translations
  * Improve version diff coloring
  * Add `--color / --no-color` switch

  [ Bug Fixes ]
  * Fix local install chooses wrong deps sometimes
  * Fix no dpkg title when using upgrade alias
  * Fix nala sometimes installs wrong dependencies
  * Fix nala not updating package lists with upgrade aliases
  * Fix apt config containing duplicate hooks
  * Fix aliases `--help` not showing manpage
  * Fix downloads failing if `/var/cache/apt/archives` doesn't exist
  * Fix fetch asking on `--auto` to write file
  * Fix wrong key in some translations
  * Fix help without sub command not showing man page
  * Fix nala waiting for input and not showing prompts
  * Fix `nala history` hanging on permission error (closes: #1041826, #1041821)

 -- Blake Lee <blake@volian.org>  Tue, 23 Jan 2024 23:37:08 -0600

## nala 0.15.1mx21

=== debian/changelog ===
nala (0.15.1mx21) mx; urgency=medium

  * Rebuild for MX Linux.
  * nala.conf: set autoremove to false.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 28 Apr 2024 16:03:20 -0700

## nala 0.15.1mx23

=== debian/changelog ===
nala (0.15.1mx23) mx; urgency=medium

  * Rebuild for MX Linux.
  * nala.conf: set autoremove to false.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 28 Apr 2024 16:03:20 -0700

## nala 0.15.2~mx21

=== debian/changelog ===
nala (0.15.2~mx21) mx; urgency=medium

  * Rebuild for MX Linux.
  * nala.conf: make autoremove not the default.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 18 May 2024 13:24:29 -0700

nala (0.15.2) unstable; urgency=medium

  [ Bug Fixes ]
  * Fix wrong formatting in pt_BR translation
  * Fix index error when diff same version
  * Fix Nala writing history despite dpkg failing

 -- Blake Lee <blake@volian.org>  Fri, 10 May 2024 03:14:22 +0000

## nala 0.15.2~mx23

=== debian/changelog ===
nala (0.15.2~mx23) mx; urgency=medium

  * Rebuild for MX Linux.
  * nala.conf: make autoremove not the default.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 18 May 2024 13:24:29 -0700

## nala 0.15.3

=== debian/changelog ===
nala (0.15.3) unstable; urgency=medium

  [ Bug Fixes ]
  * Fix clean potentially wiping /

  [ Changes ]
  * Add French translations

 -- Blake Lee <blake@volian.org>  Mon, 03 Jun 2024 05:27:38 +0000

## nala 0.15.3mx21

=== debian/changelog ===
nala (0.15.3mx21) mx; urgency=medium

  * Rebuild for MX Linux.
  * d/nala.conf: autoremove is not default.
  * python3-socksio made explicit dependency,

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 27 Jun 2024 20:38:25 -0700

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
   python3-babel,
   python3-poetry-core,
   python3-apt,
+  python3-debian,
   python3-pexpect,
   python3-httpx,
   python3-rich,
@@ -37,8 +38,8 @@
   python3-apt,
   python3-debian,
   python3-socksio
-Description: command line frontend for the APT package manager
+Description: Commandline frontend for the APT package manager
  Nala is a frontend for the APT package manager. It has a lot
  of the same functionality, but formats the output to be more
  human readable. Also implements a history function to see past
- transactions and undo/redo them, much like Fedora's dnf history.
+ transactions and undo/redo them. Much like Fedora's dnf history.

## nala 0.15.3mx23

=== debian/changelog ===
nala (0.15.3mx23) mx; urgency=medium

  * Rebuild for MX Linux.
  * d/nala.conf: autoremove is not default.
  * python3-socksio made explicit dependency,

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 27 Jun 2024 20:38:25 -0700

## nala 0.15.4~bpo12+1

=== debian/changelog ===
nala (0.15.4~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.*

 -- Blake Lee <blake@volian.org>  Mon, 30 Dec 2024 22:16:59 +0000

nala (0.15.4) unstable; urgency=medium

  [ Bug Fixes ]
  * Fix crash caused by unexpected fields in mirror file

  [ Changes ]
  * Update Turkish translations
  * Add downloading from URL in man pages

 -- Blake Lee <blake@volian.org>  Sun, 01 Sep 2024 23:32:18 +0000

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_NAME = nala
export DH_VERBOSE = 1
%:
	dh $@ --buildsystem=pybuild

execute_before_dh_installman:
	python3 nala_build.py man

execute_before_dh_auto_install:
	python3 nala_build.py babel --compile

## nala 0.15.4

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: nala
 Priority: optional
 Section: admin
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Volian Developers <volian-devel@volian.org>
+Maintainer: Volian Developers <volian-devel@volian.org>
 Uploaders: Blake Lee <blake@volian.org>
 Build-Depends:
   debhelper-compat (= 13),
@@ -37,7 +36,7 @@
   apt,
   python3-apt,
   python3-debian,
-  python3-socksio
+Recommends: python3-socksio
 Description: Commandline frontend for the APT package manager
  Nala is a frontend for the APT package manager. It has a lot
  of the same functionality, but formats the output to be more

## nala 0.15.4+nmu1

=== debian/changelog ===
nala (0.15.4+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix nala upgrade error. (Closes: #1101068)
    https://gitlab.com/volian/nala/-/commit/e12ce19
    https://gitlab.com/volian/nala/-/merge_requests/144/diffs

 -- Abhijith PA <abhijith@debian.org>  Thu, 03 Apr 2025 17:26:24 +0530

## nala 0.16.0

=== debian/changelog ===
nala (0.16.0) unstable; urgency=medium

  [ Bug Fixes ]
  * Fix local repositories not working
  * Fix nala returning 0 when not continuing (closes: #1073575)

  [ Changes ]
  * Modernize apt sources

 -- Blake Lee <blake@volian.org>  Mon, 21 Apr 2025 02:40:54 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
   python3-apt,
   python3-debian,
   python3-pexpect,
-  python3-httpx,
+  python3-httpx (>= 0.17.0),
   python3-rich,
   python3-socksio,
   python3-typer,
